Skip to main content
GET
Get a card

Authorizations

Authorization
string
header
required

Type "Bearer" followed by a space and your API token. Obtain your key from the Dash.fi dashboard. Example: "Bearer YOUR_API_KEY"

Path Parameters

card-id
string
required

Card id

Response

Card response

balance
string
required

Current available balance on card.

Example:

"42.42"

categories
enum<string>[]
required

Card categories. Categories have specific MCC restrictions.

Available options:
advertising,
saas_software,
shipping,
cloud_computing,
professional_services,
airlines,
books_and_newspapers,
car_rental,
car_services,
charitable_donations,
clothing,
clubs_and_memberships,
education,
electronics,
fees_and_financial_institutions,
freight_moving_and_delivery_services,
fuel_and_gas,
general_merchandise,
general_expenses,
government_services,
insurance,
internet_and_phone,
legal,
lodging,
medical,
office_supplies_and_cleaning,
other,
parking,
pet,
restaurants,
supermarkets_and_grocery_stores,
taxes_and_tax_preparation,
taxi_and_rideshare,
travel_misc,
utilities,
entertainment
Example:
category
string
required

Deprecated category field, use 'categories' instead. If this field is returned, please use the UI to update the card category.

Example:

"advertising"

createdAt
string
required

Card creation time.

Example:

"42.42"

id
string
required

Card ID.

Example:

"0194f96a-a85d-7971-a309-4f308c01cab5"

lastFour
string
required

Last 4 digits of the card number.

Example:

"1214"

limit
object
required

Card limit.

name
string
required

Card name. Card name must be unique for cards created unless the previous card with the same name has been archived.

Example:

"adspend card meta"

status
enum<string>
required

Card status.

Available options:
active,
frozen,
archived
Example:

"active"

type
enum<string>
required

Card type. Single-use can be used for a single transaction (exluding auths up to 5$). Recurring can be used for multiple transactions.

Available options:
single-use,
recurring
Example:

"single-use"